package mc600.boardgames;

import junit.framework.TestCase;

public class RootTest extends TestCase {

	public RootTest(String arg0) {
		super(arg0);
	}

	public void testRoot() {
		try {
			Root r = new Root(new BoardPosition("B2", 9));
			printArray(r.occupied());
			printArray(r.getNeighbourhood());
			r.addOccupied(new BoardPosition("B3", 9));
			r.addFree((new BoardPosition("B3", 9)).neighbours());
			printArray(r.occupied());
			printArray(r.getNeighbourhood());
			BoardPosition[] free = r.getFreePositions();
			for (int i = 0; i < free.length; i++) {
				System.out.println(free[i].getX() + ", " + free[i].getY());
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	void printArray(BoardPosition[] bp) {
		System.out.print("[ ");
		for (int i = 0; i < bp.length; i++) {
			System.out.print("(" + bp[i].getX() + "," + bp[i].getY() + ")");
		}
		System.out.println(" ]");
	}

}
